## launchpad-integration 0.1.3

=== debian/changelog ===
launchpad-integration (0.1.3) dapper; urgency=low

  * launchpadintegration/packageinfo.py:
    - strip '/rofs' from file name, if it occurs. This broke Launchpad
     Integration on the Live CD.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 22 May 2006 15:39:07 +0200

launchpad-integration (0.1.2) dapper; urgency=low

  * fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Jan 2006 15:49:22 +0100

launchpad-integration (0.1.1) dapper; urgency=low

  * added a tooltip for "Get Help Online" and "Translate This Application"
    (ubuntu: #17150)

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 12 Jan 2006 12:19:38 +0100

launchpad-integration (0.1) dapper; urgency=low

  * make it a native package 
  * add gtk_accel_group for the GtkActions (Ubuntu #16149) back

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Jan 2006 11:25:26 +0100

launchpad-integration (0.0patch26+mvo20-0ubuntu2) breezy; urgency=low

  * revert "set proper gtk_accel_group for the GtkActions (Ubuntu #16149)"
    patch because it breaks gnome-terminal (Ubuntu #17309)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 Oct 2005 18:52:20 +0200

launchpad-integration (0.0patch26+mvo20-0ubuntu1) breezy; urgency=low
  
  * debian/patches/gnomeopt.patch:
    - removed, part of 
      michael.vogt@ubuntu.com--2005/launchpad-integration--mvo--0 now
  * set proper gtk_accel_group for the GtkActions (Ubuntu #16149)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  5 Oct 2005 17:52:32 +0200

launchpad-integration (0.0patch26+mvo16-0ubuntu3) breezy; urgency=low

  * debian/patches/gnomeopt.patch:
    - use x-ww-browser if gnome-open is not installed, 
      patch by Jani Monoses <jani@ubuntu.com> (Ubuntu: #16447).
  * debian/control:
    - Recommends libgnome2-0 can run a version without GNOME,
      changed suggested by Jani Monoses <jani@ubuntu.com>.

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 30 Sep 2005 23:08:49 +0200

launchpad-integration (0.0patch26+mvo16-0ubuntu2) breezy; urgency=low
  
  * debian/liblaunchpad0.install:
    - added "debian/tmp/usr/share/pixmaps"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Sep 2005 00:48:47 +0200

launchpad-integration (0.0patch26+mvo16-0ubuntu1) breezy; urgency=low

  * adds icon to the menu entries

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Sep 2005 23:08:16 +0200

launchpad-integration (0.0patch26+mvo13-0ubuntu2) breezy; urgency=low

  * debian/patches/01_action_group.patch:
    - don't use the same group again, fix an app crahser, thanks
      to Christian Persch <chpe@gnome.org> for the patch (Ubuntu: #14579).

 -- Sebastien Bacher <seb128@canonical.com>  Sat, 10 Sep 2005 15:39:10 +0200

launchpad-integration (0.0patch26+mvo13-0ubuntu1) breezy; urgency=low

  * po/{de.po,fr.po,pl.po,pt.po}:
    - translation updates

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Sep 2005 10:29:03 +0200

launchpad-integration (0.0patch26+mvo7-0ubuntu3) breezy; urgency=low

  * debian/control:
    - rebuild with the current libs.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 25 Aug 2005 03:09:07 +0200

launchpad-integration (0.0patch26+mvo7-0ubuntu2) breezy; urgency=low

  * debian/rules:
    - shlibs update.

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 23 Aug 2005 21:45:09 +0200

launchpad-integration (0.0patch26+mvo7-0ubuntu1) breezy; urgency=low

  * New snapshot:
    - python bindings added in package python-launchpad-integration
    - launchpad_integration_set_sourcepkgname() added
    - support for applications running with sudo added
    - build from 
      michael.vogt@ubuntu.com--2005/launchpad-integration--mvo--0--patch-7

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Aug 2005 14:28:46 +0200

launchpad-integration (0.0patch21-0ubuntu4) breezy; urgency=low

  * Rebuild with the new cairo version

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 18 Aug 2005 17:21:01 +0000

launchpad-integration (0.0patch21-0ubuntu3) breezy; urgency=low

  * configure.in, debian/control:
    - fixed the build.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 11 Aug 2005 22:33:34 +0200

launchpad-integration (0.0patch21-0ubuntu2) breezy; urgency=low

  * debian/control:
    - fixed the Depends.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 11 Aug 2005 21:47:33 +0200

launchpad-integration (0.0patch21-0ubuntu1) breezy; urgency=low

  * New snapshot:
    - new lpint-bonobo library.
  * debian/control:
    - updated for the new library.
  * debian/patches/lpi-sudo.diff:
    - patch by Michael Vogt to run as user for sudo applications.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 11 Aug 2005 21:09:46 +0200

launchpad-integration (0.0patch18-0ubuntu1) breezy; urgency=low

  * New snapshot:
    - fix menu labels.
    - use launchpad.net rather than launchpad.ubuntu.com.

 -- Sebastien Bacher <seb128@canonical.com>  Fri,  5 Aug 2005 16:54:08 +0200

launchpad-integration (0.0patch15-0ubuntu1) breezy; urgency=low

  * New snapshot.
  * debian/control:
    - the library depends on the program now since it uses it.

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 27 Jul 2005 23:53:49 +0200

launchpad-integration (0.0patch14-0ubuntu1) breezy; urgency=low

  * New snapshot.

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 26 Jul 2005 00:59:30 +0200

launchpad-integration (0.0-0ubuntu1) breezy; urgency=low

  * Initial package.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 18 Jul 2005 16:56:27 +0200
