## launchpad-integration 0.1.3ja1

=== debian/changelog ===
launchpad-integration (0.1.3ja1) dapper; urgency=low

  * add po/ja.po

 -- Jun Kobayashi <fm4j-kbys@asahi-net.or.jp>  Fri,  2 Jun 2006 21:26:57 +0900
