=== debian/control ===
Source: launchpad-integration
Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper (>= 4.0.0), cdbs, autotools-dev, libbonoboui2-dev (>= 2.10.1-0ubuntu2), libgtk2.0-dev (>= 2.8.2), python-gtk2-dev, python-dev
Standards-Version: 3.6.2
Section: libs

Package: launchpad-integration
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lsb-release
Recommends: libgnome2-0
Description: launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using GtkUIManager, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...

Package: liblaunchpad-integration-dev
Section: libdevel
Architecture: any
Depends: liblaunchpad-integration0 (= ${Source-Version}), libgtk2.0-dev
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using GtkUIManager, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
 .
 This package contains the header files and static libraries.

Package: liblaunchpad-integration0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, launchpad-integration
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using GtkUIManager, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
  .
 This package contains the shared library.

Package: liblpint-bonobo-dev
Section: libdevel
Architecture: any
Depends: liblpint-bonobo0 (= ${Source-Version}), libbonoboui2-dev, liblaunchpad-integration-dev
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using BonoboUI, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
 .
 This package contains the header files and static libraries.

Package: liblpint-bonobo0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, launchpad-integration
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using BonoboUI, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
  .
 This package contains the shared library.

Package: python-launchpad-integration
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${Python:Depends}, launchpad-integration
Description: library for launchpad integration
 The launchpad-integration tools provide an easy way to set menu items,
 for an application using BonoboUI, pointing to the launchpad pages  
 about a package. Users can get information about the used application here,
 translate it, ...
  .
 This package contains the python bindings of the shared library.
