## launchpad-integration 0.1.4.3

=== debian/changelog ===
launchpad-integration (0.1.4.3) edgy; urgency=low

  * debian/patches/02_fix_squashfs.patch:
    - Try removing /rofs from executable path as well as
      /filesystem.squashfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Oct 2006 12:05:51 +0100

launchpad-integration (0.1.4.2) edgy; urgency=low

  * debian/patch/02_fix_squashfs.patch:
    - remove /filesystem.squashfs when looking at the executable 
      (lp: #60071)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Oct 2006 12:20:51 +0200

launchpad-integration (0.1.4.1) edgy; urgency=low

  * debian/patches/01_dont_prefer_gnome_browser_for_kde.patch:
    - don't prefer GNOME browser when using KDE, 
      patch by Anthony Mercatante (Ubuntu: #60426)

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 12 Oct 2006 16:46:43 +0200

launchpad-integration (0.1.4) edgy; urgency=low

  * launchpadintegration/urls.py:
    - support kde as well (lp: #53343)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  2 Aug 2006 17:20:17 +0200
