## launchpad-integration 0.1.13

=== debian/changelog ===
launchpad-integration (0.1.13) feisty; urgency=low

  [ Daniel Holbach ]
  * pixmaps/lpi-bug.png:
    - add our own icon, this breaks theme-ability, but fixes the
      'warning icon looks pixelated' bug - might be a GTK bug (LP: #103974)
  * lib/launchpad-integration.c, lib/lpint-bonobo.c:
    - use the icon.
  * lib/launchpad-integration.h:
    - prototype launchpad_integration_add_item_factory(), fixes build
      warnings.
  * debian/control.in:
    - bump debhelper requirement to 5.
  * debian/copyright:
    - update FSF address.

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 13 Apr 2007 14:09:04 +0200

launchpad-integration (0.1.12) feisty; urgency=low

  * launchpadintegration/urls.py:
    - workaround to open a new firefox window, the direct option doesn't work
      correctly (Ubuntu: #104072)

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 11 Apr 2007 15:03:46 +0200

launchpad-integration (0.1.11) feisty; urgency=low

  [ Sebastien Bacher ]
  * debian/liblaunchpad-integration0.install,
    lib/launchpad-integration.c, lib/lpint-bonobo.c, pixmaps/Makefile.am:
    - use themeable icon (Ubuntu: #51901, #40312)
  * lib/launchpad-integration.c, lib/lpint-bonobo.c:
    - list "Get Help Online" again, launchpad has been updated 
      (Ubuntu: #103024)
  * launchpadintegration/urls.py:
    - special case firefox to open a new window (Ubuntu: #94166)

  [ Martin Pitt ]
  * 'Report a Bug' -> 'Report a Problem' for consistency and avoiding the
    technical slang 'Bug'. Update the existing .po files. (LP: #93350)

 -- Sebastien Bacher <seb128@canonical.com>  Wed,  4 Apr 2007 23:14:10 +0200

launchpad-integration (0.1.10) feisty; urgency=low

  * launchpadintegration/main.py: Call ubuntu-bug instead of apport-gtk -f, so
    that this works for apport-{qt,cli} as well.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Mar 2007 09:28:00 +0200

launchpad-integration (0.1.9) feisty; urgency=low

  * lib/launchpad-integration.c, lib/lpint-bonobo.c:
    - don't list the "Get Help Online" item, the current launchpad content
      is not useful (Ubuntu: #94224)

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 26 Mar 2007 18:45:17 +0200

launchpad-integration (0.1.8) feisty; urgency=low

  * Fix LOCALEDIR to not include the literal string '${prefix}' (LP: #85654).

 -- Kees Cook <kees@ubuntu.com>  Thu,  8 Mar 2007 08:27:43 -0800

launchpad-integration (0.1.7) feisty; urgency=low

  * Build a python-launchpad-integration-dbg package.
  * Bump debhelper compatibility to v5.
  * configure.ac: Adjust check for PYTHON_INCLUDES.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Feb 2007 20:16:44 +0100

launchpad-integration (0.1.6) feisty; urgency=low

  * pixmaps/Makefile.*: Allow for srcdir != builddir.
  * Rebuild for all supported python versions to avoid
    uninstallability of the whole archive.
  * Convert to updated python policy.
  * python-launchpad-integration: Fix typo in dependencies, add
    provides.
  * Don't install .la files for python extensions.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:18:04 +0000

launchpad-integration (0.1.5build1) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:18:04 +0000

launchpad-integration (0.1.5) feisty; urgency=low

  [ Michael Vogt ]
  * debian/patches/01_dont_prefer_gnome_browser_for_kde.patch:
   - moved into the mainline code
  * debian/patches/02_fix_squashfs.patch:
    - moved into the mainline code

  [ Martin Pitt ]
  * lib/{launchpad-integration,lpint-bonobo}.c: Activate bug filing menu entry
    and callback, and give it an icon (stock GTK dialog warning icon).
  * launchpadintegration/main.py: Add --bugs switch which calls apport-gtk in
    --file-bug mode.
  * autogen.sh: Remove hardcoded automake/aclocal version number to work
    with automake 1.10.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  2 Jan 2007 10:01:34 +0100
