=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: launchpad-integration
 Priority: optional
 Maintainer: Sebastien Bacher <seb128@debian.org>
-Build-Depends: debhelper (>= 4.0.0), cdbs, autotools-dev, libbonoboui2-dev (>= 2.10.1-0ubuntu2), libgtk2.0-dev (>= 2.8.2), python-gtk2-dev, python-dev
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 5), cdbs, autotools-dev, libbonoboui2-dev (>= 2.10.1-0ubuntu2), libgtk2.0-dev (>= 2.8.2), python-gtk2-dev, python-gtk2-dbg, python-all-dev, python-all-dbg, python-central (>= 0.5)
+XS-Python-Version: all
+XS-Vcs-Bzr: http://launchpad.net/~ubuntu-core-dev/launchpad-integration/ubuntu
+Standards-Version: 3.7.2
 Section: libs
 
 Package: launchpad-integration
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lsb-release
 Recommends: libgnome2-0
+XB-Python-Version: ${python:Versions}
 Description: launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using GtkUIManager, pointing to the launchpad pages  
@@ -66,7 +69,10 @@
 Package: python-launchpad-integration
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${Python:Depends}, launchpad-integration
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, launchpad-integration
+Provides: ${python:Provides}
+Suggests: python-launchpad-integration-dbg
+XB-Python-Version: ${python:Versions}
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using BonoboUI, pointing to the launchpad pages  
@@ -74,3 +80,17 @@
  translate it, ...
   .
  This package contains the python bindings of the shared library.
+
+Package: python-launchpad-integration-dbg
+Priority: extra
+Section: python
+Architecture: any
+Depends: python-launchpad-integration (= ${Source-Version}), python-dbg, ${shlibs:Depends}
+Description: library for launchpad integration (debug extension)
+ The launchpad-integration tools provide an easy way to set menu items,
+ for an application using BonoboUI, pointing to the launchpad pages  
+ about a package. Users can get information about the used application here,
+ translate it, ...
+  .
+ This package contains the python bindings of the shared library, built
+ for the python debug interpreter.
