## launchpad-integration 0.1.15

=== debian/changelog ===
launchpad-integration (0.1.15) gutsy; urgency=low

  * Update Launchpad URLs (remove /distros, and fix stray documentation
    references to launchpad.ubuntu.com).
  * Use answers.launchpad.net and translations.launchpad.net for +gethelp
    and +translate respectively (LP: #138090).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2007 21:21:44 +0100

launchpad-integration (0.1.14) gutsy; urgency=low

  * pixmaps/:
    - new pixmaps (thanks to Lapo Calamandrei)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Sep 2007 12:35:26 +0200
