## launchpad-integration 0.1.19

=== debian/changelog ===
launchpad-integration (0.1.19) hardy; urgency=low

  * debian/control: liblaunchpad-integration1 replaces
    liblaunchpad-integration0. (LP: #213874)

 -- Luke Yelavich <luke.yelavich@canonical.com>  Tue, 08 Apr 2008 21:09:04 +1000

launchpad-integration (0.1.18) hardy; urgency=low

  * debian/rules: Correct package name for liblaunchpad-integration shlibs.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Tue, 08 Apr 2008 00:22:15 +1000

launchpad-integration (0.1.17) hardy; urgency=low

  * lib/launchpad-integration.c: The launchpad_integration_add_ui function now
    adds separators above and below the launchpad menu items.
  * lib/Makefile.am: Bump soname for liblaunchpad-integration as the above
    function now has changed symantics.
  * debian/control: Adjust dependencies and package names accordingly.
  * debian/rules: Bumped shlibs version.
  * patches/evince-lpint.patch: Updated.
  * configure.ac: Bump version number.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Mon, 07 Apr 2008 23:56:19 +1000

launchpad-integration (0.1.16) hardy; urgency=low

  [ Martin Pitt ]
  * debian/control: Fix Vcs-Bzr to get along with current debcheckout.

  [ Luke Yelavich ]
  * lib/launchpad-integration.c:
    - Add launchpad_integration_add_ui_with_separators function to allow the
      adding of launchpad menu items, with optional separators.
    - Don't show launchpad menu items if the launchpad-integration script
      cannot be found in the path. (LP: #85725)
  * debian/control: Move launchpad-integration from depends, to recommends.
  * debian/rules: Update shlibs version.
  * patches/evince-lpint.patch: Updated to use new function.
  * configure.ac: Update version number.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Tue, 01 Apr 2008 15:49:43 +1100
