=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper (>= 5), cdbs, autotools-dev, libbonoboui2-dev (>= 2.10.1-0ubuntu2), libgtk2.0-dev (>= 2.8.2), python-gtk2-dev, python-gtk2-dbg, python-all-dev, python-all-dbg, python-central (>= 0.5)
 XS-Python-Version: all
-XS-Vcs-Bzr: http://launchpad.net/~ubuntu-core-dev/launchpad-integration/ubuntu
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/launchpad-integration/ubuntu
 Standards-Version: 3.7.2
 Section: libs
 
@@ -21,7 +21,7 @@
 Package: liblaunchpad-integration-dev
 Section: libdevel
 Architecture: any
-Depends: liblaunchpad-integration0 (= ${Source-Version}), libgtk2.0-dev
+Depends: liblaunchpad-integration1 (= ${Source-Version}), libgtk2.0-dev
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using GtkUIManager, pointing to the launchpad pages  
@@ -30,10 +30,12 @@
  .
  This package contains the header files and static libraries.
 
-Package: liblaunchpad-integration0
+Package: liblaunchpad-integration1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, launchpad-integration
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: launchpad-integration
+Replaces: liblaunchpad-integration0
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using GtkUIManager, pointing to the launchpad pages  
@@ -57,7 +59,8 @@
 Package: liblpint-bonobo0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, launchpad-integration
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: launchpad-integration
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using BonoboUI, pointing to the launchpad pages  
@@ -69,7 +72,8 @@
 Package: python-launchpad-integration
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, launchpad-integration
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Recommends: launchpad-integration
 Provides: ${python:Provides}
 Suggests: python-launchpad-integration-dbg
 XB-Python-Version: ${python:Versions}
