## launchpad-integration 0.1.19netbook1

=== debian/changelog ===
launchpad-integration (0.1.19netbook1) hardy; urgency=low

  * debian/control:
    - Update Maintainers
  * debian/patches/10_check_gconf.patch:
    - Allow easy disabling of launchpad integration menus via a gconf key.

 -- Michael Terry <michael.terry@canonical.com>  Mon, 26 Jan 2009 10:21:06 -0500
