=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: launchpad-integration
 Priority: optional
-Maintainer: Sebastien Bacher <seb128@debian.org>
+Maintainer: OEM Custom Solutions Engineering Group <solutions-group@lists.canonical.com>
+XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper (>= 5), cdbs, autotools-dev, libbonoboui2-dev (>= 2.10.1-0ubuntu2), libgtk2.0-dev (>= 2.8.2), python-gtk2-dev, python-gtk2-dbg, python-all-dev, python-all-dbg, python-central (>= 0.5)
 XS-Python-Version: all
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/launchpad-integration/ubuntu
