=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
 
-DEB_DH_MAKESHLIBS_ARGS_liblaunchpad-integration0 := -V 'liblaunchpad-integration0 (>= 0.0patch26)'
+DEB_DH_MAKESHLIBS_ARGS_liblaunchpad-integration1 := -V 'liblaunchpad-integration1 (>= 0.1.17)'
 
 DEB_DBG_PACKAGE_python-launchpad-integration = python-launchpad-integration-dbg
