## launchpad-integration 0.1.21

=== debian/changelog ===
launchpad-integration (0.1.21) intrepid; urgency=low

  * Downgrade recommends to suggests, add konqueror

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Oct 2008 12:44:54 +0100

launchpad-integration (0.1.20) intrepid; urgency=low

  [ Mario Limonciello ]
  * Rebuild for libffi4 transition.

  [ Colin Watson ]
  * Fix FSF address in debian/copyright.
  * Use ${binary:Version} rather than ${Source-Version}.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jun 2008 20:38:52 +0100
