## launchpad-integration 0.1.24

=== debian/changelog ===
launchpad-integration (0.1.24) jaunty; urgency=low

  * launchpadintegration/main.py: Call ubuntu-bug with single argument (pid or
    package). --package/--pid options do not work any more. This repairs the
    "File a bug" menu entry. (LP: #353503)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Apr 2009 16:11:35 +0200

launchpad-integration (0.1.23) jaunty; urgency=low

  * Rebuild. LP: #335623.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Mar 2009 11:32:55 +0100

launchpad-integration (0.1.22) jaunty; urgency=low

  * Build for python2.6, include files in `dist-packages'.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Feb 2009 14:08:49 +0100
