=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: launchpad-integration
 Priority: optional
-Maintainer: OEM Custom Solutions Engineering Group <solutions-group@lists.canonical.com>
-XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
+Maintainer: Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper (>= 5), cdbs, autotools-dev, libbonoboui2-dev (>= 2.10.1-0ubuntu2), libgtk2.0-dev (>= 2.8.2), python-gtk2-dev, python-gtk2-dbg, python-all-dev, python-all-dbg, python-central (>= 0.5)
 XS-Python-Version: all
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/launchpad-integration/ubuntu
@@ -11,7 +10,7 @@
 Package: launchpad-integration
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lsb-release
-Recommends: libgnome2-0
+Suggests: libgnome2-0, konqueror
 XB-Python-Version: ${python:Versions}
 Description: launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
@@ -22,7 +21,7 @@
 Package: liblaunchpad-integration-dev
 Section: libdevel
 Architecture: any
-Depends: liblaunchpad-integration1 (= ${Source-Version}), libgtk2.0-dev
+Depends: liblaunchpad-integration1 (= ${binary:Version}), libgtk2.0-dev
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using GtkUIManager, pointing to the launchpad pages  
@@ -48,7 +47,7 @@
 Package: liblpint-bonobo-dev
 Section: libdevel
 Architecture: any
-Depends: liblpint-bonobo0 (= ${Source-Version}), libbonoboui2-dev, liblaunchpad-integration-dev
+Depends: liblpint-bonobo0 (= ${binary:Version}), libbonoboui2-dev, liblaunchpad-integration-dev
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using BonoboUI, pointing to the launchpad pages  
@@ -90,7 +89,7 @@
 Priority: extra
 Section: python
 Architecture: any
-Depends: python-launchpad-integration (= ${Source-Version}), python-dbg, ${shlibs:Depends}
+Depends: python-launchpad-integration (= ${binary:Version}), python-dbg, ${shlibs:Depends}
 Description: library for launchpad integration (debug extension)
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using BonoboUI, pointing to the launchpad pages
