## launchpad-integration 0.1.26

=== debian/changelog ===
launchpad-integration (0.1.26) karmic; urgency=low

  * Update url to avoid another redirection

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Sep 2009 18:45:28 +0200

launchpad-integration (0.1.25) karmic; urgency=low

  * Update the url to use for launchpad translations

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Sep 2009 18:09:51 +0200
