## launchpad-integration 0.1.35

=== debian/changelog ===
launchpad-integration (0.1.35) lucid; urgency=low

  * Don't display the report a bug entry in lucid, stable users are encouraged
    to use the answer tracker for their issues, technical users who want to 
    report bugs know how to use ubuntu-bug or launchpad 

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Apr 2010 16:34:39 +0200

launchpad-integration (0.1.34) lucid; urgency=low

  * Fix my name in the previous changelog.
  * debian/rules:
    - export MONO_DISABLE_SHM to fix build with unwritable $HOME
    - Call dh_clideps in binary-predeb; this runs after the call to 
      dh_makeshlibs for liblaunchpad-integration1, and allows dh_clideps to
      resolve dependencies correctly.
    - Update targets for liblaunchpad-integration1.0-cil rename.
    - Pass CSC=/usr/bin/mono-csc for CLI policy conformance.
    - Add $(DEB_CONFIGURE_SCRIPT_ENV) to all calls of the configure script.
  * debian/control:
    - Remove manual liblaunchpad-integration1 dependency from 
      liblaunchpad-integration1.0-cil.  dh_clideps will add this automatically.
    - Rename liblaunchpad-integration1-cil => liblaunchpad-integration1.0-cil
      for Debian CLI policy compliance.
    - Add strict version dependency to liblaunchpad-integration-cil-dev.
      Silences a lintian warning.
  * launchpad-integration-sharp.dll.config:
    - Change target from launchpad-integration.so.1 to 
      liblaunchpad-integration.so.1 for the benefit of dh_clideps
  * debian/liblaunchpad-integration1-cil.install:
  * debian/liblaunchpad-integration1-cil.installcligac
    - Rename for liblaunchpad-integration1.0-cil rename.
  * debian/patches/01_ltmain_add_as_needed.patch:
    - Patch to fix libtool's handling of --as-needed

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 10 Feb 2010 17:26:12 +1100

launchpad-integration (0.1.33) lucid; urgency=low

  [ Chris Halse Rogers ]
  * debian/rules:
    - Revert from DH7 to CDBS and correctly do CLI build
  
  [ Michael Vogt ]
  * .bzr-builddeb/default.conf:
    - added with the right options to make it buildable with
      bzr-builddeb out of the box
  * debian/rules:
    - removed arch-build target (very pre bzr-builddeb)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 09 Feb 2010 11:47:58 +1100

launchpad-integration (0.1.32) lucid; urgency=low

  * Install a dllconfig file so the right library is loaded at runtime
    which will fix tomboy not starting for example (lp: #518672)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Feb 2010 23:07:00 +0100

launchpad-integration (0.1.31) lucid; urgency=low

  * debian/control:
  * debian/launchpad-integration-cil-dev.install:
  * launchpad-integration-sharp.pc.in:
  * Makefile.am:
    - Add launchpad-integration-cil-dev package that contains a pkg-config file
  * lib/Makefile.am:
    - Rename from lpi-sharp to launchpad-integration-sharp
  * debian/control:
    - Add ${misc:Depends} to liblpint-bonobo-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 05 Feb 2010 09:52:29 +1100

launchpad-integration (0.1.30) lucid; urgency=low

  * Update translations for the previous change, thank Jeremy Bicha

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Jan 2010 19:04:45 +0100

launchpad-integration (0.1.29) lucid; urgency=low

  * debian/control:
    - build-depends on mono-devel which should be enough to build now

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Jan 2010 10:42:19 +0100

launchpad-integration (0.1.28) lucid; urgency=low

  * debian/control:
    - build-depends on libmono-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Jan 2010 10:16:41 +0100

launchpad-integration (0.1.27) lucid; urgency=low

  * debian/control:
    - build-depends on libgtk2.0-cil-dev
    - set debug section for the debug binary
  * debian/copyright:
    - use the launchpad url as a download location (lp: #179476)
  * don't error when called without argument but display the usage summary
    (lp: #139158)
  * use ellipsis for the report a problem menu label (lp: #477685)

  [ Robert Ancell ]
  * configure.in:
  * lib/LaunchpadIntegration.cs:
  * lib/Makefile.am:
  * debian/launchpad-integration1-cil.install:
    - Add CLI bindings
  * debian/control:
    - Bump Standards-Version
    - Add missing dependencies on ${misc:Depends}

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Jan 2010 00:13:42 +0100
