=== debian/control ===
--- 
+++ 
@@ -1,15 +1,32 @@
 Source: launchpad-integration
 Priority: optional
 Maintainer: Sebastien Bacher <seb128@debian.org>
-Build-Depends: debhelper (>= 5), cdbs, autotools-dev, libbonoboui2-dev (>= 2.10.1-0ubuntu2), libgtk2.0-dev (>= 2.8.2), python-gtk2-dev, python-gtk2-dbg, python-all-dev, python-all-dbg, python-central (>= 0.5)
+Build-Depends: debhelper (>= 5),
+               cdbs,
+               autotools-dev,
+               libbonoboui2-dev (>= 2.10.1-0ubuntu2),
+               libgtk2.0-dev (>= 2.8.2),
+               python-gtk2-dev,
+               python-gtk2-dbg,
+               python-all-dev,
+               python-all-dbg,
+               python-central (>= 0.5),
+               cli-common-dev (>= 0.7),
+               mono-gmcs,
+               libgtk2.0-cil-dev,
+               libmono-dev,
+               mono-devel
 XS-Python-Version: all
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/launchpad-integration/ubuntu
-Standards-Version: 3.7.2
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/launchpad-integration/ubuntu
+Standards-Version: 3.8.3
 Section: libs
 
 Package: launchpad-integration
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lsb-release
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${python:Depends},
+         lsb-release
 Suggests: libgnome2-0, konqueror
 XB-Python-Version: ${python:Versions}
 Description: launchpad integration
@@ -21,7 +38,9 @@
 Package: liblaunchpad-integration-dev
 Section: libdevel
 Architecture: any
-Depends: liblaunchpad-integration1 (= ${binary:Version}), libgtk2.0-dev
+Depends: ${misc:Depends},
+         liblaunchpad-integration1 (= ${binary:Version}),
+         libgtk2.0-dev
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using GtkUIManager, pointing to the launchpad pages  
@@ -33,7 +52,8 @@
 Package: liblaunchpad-integration1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: launchpad-integration
 Replaces: liblaunchpad-integration0
 Description: library for launchpad integration
@@ -47,7 +67,10 @@
 Package: liblpint-bonobo-dev
 Section: libdevel
 Architecture: any
-Depends: liblpint-bonobo0 (= ${binary:Version}), libbonoboui2-dev, liblaunchpad-integration-dev
+Depends: ${misc:Depends},
+         liblpint-bonobo0 (= ${binary:Version}),
+         libbonoboui2-dev,
+         liblaunchpad-integration-dev
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using BonoboUI, pointing to the launchpad pages  
@@ -59,7 +82,8 @@
 Package: liblpint-bonobo0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: launchpad-integration
 Description: library for launchpad integration
  The launchpad-integration tools provide an easy way to set menu items,
@@ -72,7 +96,9 @@
 Package: python-launchpad-integration
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${python:Depends}
 Recommends: launchpad-integration
 Provides: ${python:Provides}
 Suggests: python-launchpad-integration-dbg
@@ -87,9 +113,12 @@
 
 Package: python-launchpad-integration-dbg
 Priority: extra
-Section: python
+Section: debug
 Architecture: any
-Depends: python-launchpad-integration (= ${binary:Version}), python-dbg, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         python-launchpad-integration (= ${binary:Version}),
+         python-dbg,
 Description: library for launchpad integration (debug extension)
  The launchpad-integration tools provide an easy way to set menu items,
  for an application using BonoboUI, pointing to the launchpad pages  
@@ -98,3 +127,27 @@
   .
  This package contains the python bindings of the shared library, built
  for the python debug interpreter.
+
+Package: liblaunchpad-integration1.0-cil
+Priority: optional
+Section: cli-mono
+Architecture: any
+Depends: ${misc:Depends},
+         ${cli:Depends}
+Conflicts: liblaunchpad-integration1-cil
+Replaces: liblaunchpad-integration1-cil
+Description: CLI bindings for liblaunchpad-integration
+ This package provides the launchpad-integration-sharp assembly that allows
+ CLI (.NET) programs to provide Launchpad menu items.
+ .
+ This package contains assemblies to be used by applications.
+
+Package: liblaunchpad-integration-cil-dev
+Priority: optional
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends},
+         liblaunchpad-integration1.0-cil (= ${binary:Version})
+Description: CLI bindings for liblaunchpad-integration - development package
+ This package contains development headers for the current version of the
+ launchpad-integration-sharp assembly, for compilation purposes.
