## launchpad-integration 0.1.38

=== debian/changelog ===
launchpad-integration (0.1.38) maverick; urgency=low

  * lib/Makefile.am:
  * debian/liblaunchpad-integration-dev.install:
    - Install .vapi file into vala-0.10 directory

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 23 Aug 2010 10:50:14 +1000

launchpad-integration (0.1.37) maverick; urgency=low

  * lib/launchpad-integration.c:
    - Fix memory leak (LP: #483610)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 12 Aug 2010 13:10:05 +1000

launchpad-integration (0.1.36.1) maverick; urgency=low

  * Don't ship the .la files, they create build issues and are not required

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Aug 2010 12:20:46 +0200

launchpad-integration (0.1.36) maverick; urgency=low

  * lib/launchpad-integration.c:
  * lib/lpint-bonobo.c:
    - Re-enable bug reporting in Maverick
  * lib/launchpad-integration.vapi:
  * lib/Makefile.am:
  * debian/liblaunchpad-integration-dev.install:
    - Add Vala support
  * debian/control:
    - Use Standards-Version 3.8.4
  * configure.ac:
    - Bump version

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 26 May 2010 17:06:50 +1000
