=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                mono-devel
 XS-Python-Version: all
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/launchpad-integration/ubuntu
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Section: libs
 
 Package: launchpad-integration
