=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,14 @@
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/class/gnome.mk
 
-# some contansts for arch-build
-PKG=launchpad-integration
-DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
-DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
-
-DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
+DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed" CSC=/usr/bin/mono-csc
 
 DEB_DH_MAKESHLIBS_ARGS_liblaunchpad-integration1 := -V 'liblaunchpad-integration1 (>= 0.1.17)'
 
 DEB_DBG_PACKAGE_python-launchpad-integration = python-launchpad-integration-dbg
+
+# Need this export to prevent mono trying (and failing, on buildds) to create ~/.wapi
+export MONO_DISABLE_SHM = 1
 
 configure/launchpad-integration:: stamp-configure-pyversions
 stamp-configure-pyversions:
@@ -32,7 +30,8 @@
 	  rm -rf build-$$v; \
 	  mkdir build-$$v; \
 	  cd build-$$v; \
-	  PYTHON=/usr/bin/$$v ../configure $(filter-out --srcdir=%, $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_EXTRA_FLAGS)); \
+	  PYTHON=/usr/bin/$$v $(DEB_CONFIGURE_SCRIPT_ENV) ../configure \
+	    $(filter-out --srcdir=%, $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_EXTRA_FLAGS)); \
 	  cd ..; \
 	done
 endif
@@ -42,7 +41,8 @@
 	  rm -rf dbg-build-$$v; \
 	  mkdir dbg-build-$$v; \
 	  cd dbg-build-$$v; \
-	  PYTHON=/usr/bin/$$v-dbg CFLAGS="$(CFLAGS) -O0" ../configure $(filter-out --srcdir=%, $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_EXTRA_FLAGS)); \
+	  PYTHON=/usr/bin/$$v-dbg $(DEB_CONFIGURE_SCRIPT_ENV) CFLAGS="$(CFLAGS) -O0" ../configure \
+            $(filter-out --srcdir=%, $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_EXTRA_FLAGS)); \
 	  cd ..; \
 	done
 	touch stamp-configure-pyversions
@@ -95,11 +95,13 @@
 	rm -rf debian/python-launchpad-integration-dbg/usr/share/doc/python-launchpad-integration-dbg
 	ln -s python-launchpad-integration debian/python-launchpad-integration-dbg/usr/share/doc/python-launchpad-integration-dbg
 
-arch-build:
-	rm -rf debian/arch-build
-	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
-	tar -c --no-recursion --exclude=arch-build -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
-	(cd debian/arch-build/$(PKG)-$(DEBVER) && ./autogen.sh && make distclean && $(DEB_BUILD_PROG))
+binary-install/liblaunchpad-integration1.0-cil::
+	dh_clifixperms -pliblaunchpad-integration1.0-cil
+	dh_makeclilibs -m 0.1.33
+	dh_installcligac
+
+binary-predeb/liblaunchpad-integration1.0-cil::
+	dh_clideps -pliblaunchpad-integration1.0-cil
 
 clean::
 	rm -f stamp-*-pyversions
